// JavaScript Document
var pers_hp_is = 0;
var pers_hp_mx = 0;
var pers_hp_speed = 0;

function restore (hp_is,hp_mx,hp_speed) {
	pers_hp_is = hp_is;
	pers_hp_mx = hp_mx;
	pers_hp_speed = Math.round(hp_speed/hp_mx);
	start_restore();
}

function start_restore() {
	if (pers_hp_is<pers_hp_mx) {
		pers_hp_is++;
		d("r_hp_is").innerHTML = pers_hp_is;
		setTimeout ("start_restore()",pers_hp_speed*1000);
	}
}
